package com.xkrs.model.vo;

import java.io.Serializable;
import java.time.LocalDateTime;

/**
 * SysUserVo
 * @Author tajochen
 */
public class SysUserVo implements Serializable {
    private Integer id;

    private String reallyName;

    private String telephone;

    private String userDepartment;

    private Integer activeFlag;

    private LocalDateTime addTime;

    public SysUserVo(Integer id, String reallyName, String telephone, String userDepartment, Integer activeFlag, LocalDateTime addTime) {
        this.id = id;
        this.reallyName = reallyName;
        this.telephone = telephone;
        this.userDepartment = userDepartment;
        this.activeFlag = activeFlag;
        this.addTime = addTime;
    }

    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public String getReallyName() {
        return reallyName;
    }

    public void setReallyName(String reallyName) {
        this.reallyName = reallyName;
    }

    public String getTelephone() {
        return telephone;
    }

    public void setTelephone(String telephone) {
        this.telephone = telephone;
    }

    public String getUserDepartment() {
        return userDepartment;
    }

    public void setUserDepartment(String userDepartment) {
        this.userDepartment = userDepartment;
    }

    public Integer getActiveFlag() {
        return activeFlag;
    }

    public void setActiveFlag(Integer activeFlag) {
        this.activeFlag = activeFlag;
    }

    public LocalDateTime getAddTime() {
        return addTime;
    }

    public void setAddTime(LocalDateTime addTime) {
        this.addTime = addTime;
    }

    @Override
    public String toString() {
        return "SysUserVo{" +
                "id=" + id +
                ", reallyName='" + reallyName + '\'' +
                ", telephone='" + telephone + '\'' +
                ", userDepartment='" + userDepartment + '\'' +
                ", activeFlag=" + activeFlag +
                ", addTime=" + addTime +
                '}';
    }
}

