package com.xkrs.service;

/**
 * @author XinYi Song
 */
public interface AppletsUserService {

    /**
     * 用户小程序登录
     * @param avatarUrl  头像
     * @param nickName   昵称
     * @param sex        性别
     * @param code
     * @return
     */
    String userLogin(String avatarUrl,String nickName,Integer sex,String code);

    /**
     * 解析手机号
     * @param encryptedData
     * @param iv
     * @param openId
     * @return
     */
    String decodePhone(String encryptedData,String iv,String openId);
}
