package com.xkrs.service;

import com.xkrs.model.vo.MemberApplicationVo;
import com.xkrs.model.vo.MemberJoinVo;

import java.util.List;

/**
 * @author XinYi Song
 */
public interface MemberProjectService {

    /**
     * 成员加入项目
     * @param projectNumber
     * @param token
     * @return
     */
    String memberJoin(String projectNumber,String token);

    /**
     * 成员退出项目
     * @param projectNumber
     * @param token
     * @return
     */
    String memberDropOut(String projectNumber,String token);

    /**
     * 查询加入的成员的信息
     * @param projectNumber
     * @return
     */
    List<MemberJoinVo> selectMemberJoin(String projectNumber);

    /**
     * 查询参与的项目的编号
     * @param userId
     * @return
     */
    List<String> selectProjectNumberByMemberId(Integer userId);
}
